---
title: "Creating a Sample Pack: Kick"
date: 2023-05-24T16:59:03+02:00
draft: false
ShowToc: true
cover:
    image: "/posts/creating-a-sample-pack-kick/cover.png"
    caption: "Creating a Sample Pack: Kick"
    relative: false
    responsiveImages: false
---

>Oi! 
>I've decided to turn that blog more into the musical direction, because I've got enough of IT related stuff on my work. So most probably, I'll be posting about sound design, sound engineering and music more. 

## Intro

I want to make a series of articles about sound design. I'll be learning as well during this process, and here I'll just post my findings. If you happen to read it and find mistakes, feel free to send me your thoughts.

I consider this cycle ready, when I have enough of samples, that I can create a beat or a song. After everything is done, I'll publish the sample pack, so anybody can download it for free. And the example of a track will be on my [funkwhale instance](https://funkwhale.badhouseplants.net/library)

## Let's go

I've decided to start with a drum kit. And the first element that I'm going to create is a **kick drum**. I'll be using Vital as a sound design instrument, if you don't know what it is you should check it out here: <https://vital.audio>.


First, we need to understand, what the kick actually is. What are components of that sound. I can identify three components of it:
- Click (that is produced by a pedal)
- Body (sound from inside a drum)
- Metal (vibrations of metal components of a drum kit) *This is optional, I'd say*

Let's open Vital

![Empty Vital](/posts/creating-a-sample-pack-kick/init_vital.png)

First of all, let's get rid of all non-persistent stuff (Things that are different on each key press)

![Unison and Phase](/posts/creating-a-sample-pack-kick/unison_phase.png)

*And we will do the same for all wavetables for kick and snare*

Now let's set wave types to `basic shapes`

![Basic Shape](/posts/creating-a-sample-pack-kick/kick_basic_shape.png)

Doesn't sound like a kick yet, but the main trick, as I think, is to map the pitch of that OSC to an LFO, that looks like that, and set the base value to something around **-12**. 
![LFO 1](/posts/creating-a-sample-pack-kick/kick_lfo_1.png)

You can play around a bit and find a perfect spot that will make your kick awesome, but let's listen to what I've got now. I'll use one of defaults `Logic Pro` drum kits and replace a kick with the one I'm creating. Later I'll be replacing other drums as well, and in the end we will have a full drum kit. 

Also, we don't need to change a pitch depending on which key is pressed, so let's disable the `Note Track` for all OSC in the `Advanced` tab
![Note Track disabled](/posts/creating-a-sample-pack-kick/disable_note_track.png)

*Also, after disabling the note tracking, I've set the pitch base value to -14, so it sounds like a kick*

Now, let's listen: 

{{< audio "/posts/creating-a-sample-pack-kick/Kick_v1.mp3" >}}

Kick already sounds like a kick, but a lame one, doesn't it. Let's play a bit.

First, let's add a second LFO to control the volume level of the kick, it should be a short hit, so I'm adding a LFO like that and mapping it to the `level` of the first `OSD`

![LFO 2](/posts/creating-a-sample-pack-kick/kick_basic_shape.png)

And then enabling the `Filter 1` and mapping this LFO to the `Filter` as well, 


It looks and sounds like that

{{< video "/posts/creating-a-sample-pack-kick/Kick_v2.mp4" "video-1">}}

With that filter setup I think, click sounds better. To make it even sharper, let's add some `White Noise` and an additional `LFO` for it.

{{< video "/posts/creating-a-sample-pack-kick/Kick_v3.mp4" "video-2">}}

And now let's add some effects. I've added a little bit of `EQ`, a `Distortion` which drive is mapped to a new `LFO`, and a `Compressor`, so now it looks like that: 
{{< video "/posts/creating-a-sample-pack-kick/Kick_v4.mp4" "video-3">}}

The last step would be to add some more effects, but outside the `Vital` synth already. *And I'd like to change the pattern, because this one is driving me nuts*. So I've added a bit of additional `EQ`, `Distorition`, and `Compression`, and now it sounds like that. `


{{< audio "/posts/creating-a-sample-pack-kick/Kick_final_result.mp3" >}}
